set SAMPLE_HOME=..\
set LIB_HOME=%SAMPLE_HOME%\lib

set BATCH_LIBS=%LIB_HOME%\commons-beanutils-1.7.0.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-collections-3.2.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-dbcp-1.2.2.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-digester-1.8.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-lang-2.3.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-logging-1.1.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-pool-1.3.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\commons-validator-1.3.1.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\ibatis-2.3.0.677.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\jakarta-oro-2.0.8.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\log4j-1.2.14.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\postgresql-8.2-508.jdbc3.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\ojdbc14.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\spring-modules-validation.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\spring.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-commons-spring.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-commons.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-dao.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-ibatis.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-validator-spring.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-validator.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-batch.jar
set BATCH_LIBS=%BATCH_LIBS%;%LIB_HOME%\terasoluna-filedao.jar

set BATCH_CLASSPATH=%SAMPLE_HOME%\classes;%BATCH_LIBS%

java -cp %BATCH_CLASSPATH% jp.terasoluna.fw.batch.springsupport.init.JobStarter SAMPLE006-01 sample/SAMPLE006/SAMPLE006-01.xml

pause